Skip to main content
PATCH
/
qstash
/
update-budget
/
{id}
Update QStash Budget
curl --request PATCH \
  --url https://api.upstash.com/v2/qstash/update-budget/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '{
  "budget": 100
}'
import requests

url = "https://api.upstash.com/v2/qstash/update-budget/{id}"

payload = { "budget": 100 }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({budget: 100})
};

fetch('https://api.upstash.com/v2/qstash/update-budget/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"OK"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

QStash user ID

Body

application/json
budget
integer
required

Monthly spending budget limit in dollars. Minimum 20, maximum 10000, or 0 for no limit.

Required range: 0 <= x <= 10000
Example:

100

Response

200 - application/json

Budget updated successfully

The response is of type string.

Example:

"OK"